#####################################################
# leonov - The Launchpad Desktop Client
# Copyright (C) 2008 Siegfried-A. Gevatter
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#####################################################

import os
import sys

def first_existing_file(*filenames):
	for filename in filenames:
		if os.path.isfile(filename):
			return filename

def kill_stderr():
	"""This will flush the stderr buffer and afterwards redirect all output of
	stderr to /dev/null. It's convenient to call this function when the program
	is closed, as otherwise remaining thread may show tracebacks."""
	sys.stderr.flush()
	err = open("/dev/null", "a+", 0)
	os.dup2(err.fileno(), sys.stderr.fileno())
