#####################################################
# leonov - The Launchpad Desktop Client
# Copyright (C) 2008 Stephan Hermann
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#####################################################

from PyQt4.QtCore import QObject, Qt, SIGNAL, SLOT, QString, QStringList, QThread
from leonov.backend import LPDB_Users
import logging

class SQL_UserThread(QThread):
    def __init__(self,projectlist):
        QThread.__init__(self)
        self.projectlist=projectlist
        
    def run(self):
        logging.getLogger("leonov.kde.models.threads.sqlworkers").debug("SQL_UserThread running")
        lp_users=LPDB_Users()
        for project in self.projectlist:
            result=lp_users.get_lp_users("lp_id", "lp_id = '%s'" % str(project.registrar))
            if not result:
                lp_users.add_lp_users(str(project.registrar), project.registrar.realname)
        
        
                
                
                
            